%define pypi_name pyzstd

%bcond_without tests

Name:           python-pyzstd
Version:        0.16.2
Release:        %mkrel 4
Summary:        Python bindings to Zstandard (zstd) compression library
Group:          Development/Python
License:        BSD-3-Clause
URL:            https://github.com/Rogdham/pyzstd
Source:         %{pypi_source}

BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(libzstd)
%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%description
Pyzstd module provides classes and functions for compressing and decompressing
data, using Facebook’s Zstandard (or zstd as short name) algorithm.


%package -n python3-pyzstd
Summary:        Python3 bindings to Zstandard (zstd) compression library
Group:          Development/Python

%description -n python3-pyzstd
Pyzstd module provides classes and functions for compressing and decompressing
data, using Facebook’s Zstandard (or zstd as short name) algorithm.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Ensure dynamic-link-zstd is always used
sed -i 's|DYNAMIC_LINK =.*|DYNAMIC_LINK = True|' setup.py
# Stop disabling debuginfo
sed -i "s|'-g0', ||" setup.py
# Fix non-executable-script rpmlint error
sed -i -e '1{\@^#!.*@d}' src/__main__.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pyzstd


%check
%pytest


%files -n python3-pyzstd -f %{pyproject_files}
%doc CHANGELOG.md
%doc README.md
%license LICENSE


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 0.16.2-4.mga10
+ Revision: 2250149
- Mageia 10 Mass Rebuild

* Thu Mar 27 2025 daviddavid <daviddavid> 0.16.2-3.mga10
+ Revision: 2170453
- rebuild for new zstd 1.5.7

* Sat Mar 01 2025 wally <wally> 0.16.2-2.mga10
+ Revision: 2155676
- rebuild for python3.13

* Wed Jan 15 2025 daviddavid <daviddavid> 0.16.2-1.mga10
+ Revision: 2139309
- new version: 0.16.2

* Mon Aug 05 2024 daviddavid <daviddavid> 0.16.1-1.mga10
+ Revision: 2083670
- initial package python-pyzstd

